org.jboss.netty.util

## Interface ObjectSizeEstimator

- All Known Implementing Classes:
    DefaultObjectSizeEstimator

      public interface ObjectSizeEstimator

  Estimates the size of an object in bytes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `estimateSize(Object o)` Returns the estimated size of the specified object in bytes.

- - ### Method Detail

    - #### estimateSize

          int estimateSize(Object o)

      Returns the estimated size of the specified object in bytes.
      Returns:
        a positive integer which represents the size of the specified object in bytes

Copyright © 2008-2012 The Netty Project. All Rights Reserved.